%define oname		cantarell-fonts
%define fontconf	31-cantarell.conf

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		abattis-%{oname}
Version:	0.0.8
Release:	%mkrel 2
Summary:	Cantarell, a Humanist sans-serif font family
Group:		System/Fonts/True type 
License:	OFL
URL:		http://abattis.org/cantarell/
Source0:	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		cantarell-fonts-0.0.8-cyrillic.patch
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRequires:	fontforge
Requires:	fontpackages-filesystem

#Obsolete wrongly imported duplicate pkg
Obsoletes:	%{oname}

%description
Cantarell is a set of fonts designed by Dave Crossland. It is a 
sans-serif humanist typeface family.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
%configure2_5x
%make

#create fonts from "source"
fontforge -lang=ff -c 'Open($1); Generate($2);' src/Cantarell-Bold.sfd Cantarell-Bold.otf
fontforge -lang=ff -c 'Open($1); Generate($2);' src/Cantarell-Regular.sfd Cantarell-Regular.otf

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -Dpm 0644 fontconfig/%{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf %{buildroot}

%_font_pkg -f %{fontconf} *.otf
%doc COPYING NEWS README


%changelog

* Sun Apr 22 2012 mitya <mitya> 0.0.8-2.mga2
+ Revision: 232498
- Cyrillic support

* Tue Mar 27 2012 ovitters <ovitters> 0.0.8-1.mga2
+ Revision: 227016
- new version 0.0.8

* Tue Oct 18 2011 wally <wally> 0.0.7-1.mga2
+ Revision: 156380
- new version 0.0.7
- clean .spec a bit

* Wed Jun 15 2011 dmorgan <dmorgan> 0.0.6-1.mga2
+ Revision: 106419
- New version 0.0.6

* Sun Mar 13 2011 dmorgan <dmorgan> 0.0.3-1.mga1
+ Revision: 70838
- imported package abattis-cantarell-fonts


* Mon Feb 21 2011 Cosimo Cecchi <cosimoc@redhat.com> - 0.0.3-1
- Update to 0.0.3

* Fri Feb 18 2011 Cosimo Cecchi <cosimoc@redhat.com> - 0.0.1-4
- Include upstream patch for the fontconfig snippet

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb  8 2011 Stephen Smoogen <ssmoogen@redhat.com> - 0.0.1-2
- Fixed to meet review standards

* Tue Feb  8 2011 Cosimo Cecchi <cosimoc@redhat.com> - 0.0.1-1
- Initial packaging of abattis-cantarell-fonts

